using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Bellwether.Model
{
    public class TitleModel
    {
        public string Title { get; set; }
        public string Content { get; set; }

        public static TitleModel Parse(TitleRawModel rawModel)
        {
            if ( rawModel == null)
            {
                return new TitleModel();
            }

            return new TitleModel()
            {
                Title = rawModel.Title,
                Content = rawModel.Content
            };
        }
    }

    public class TitleRawModel
    {
        public string Title { get; set; }
        public string Content { get; set; }
    }
}
